View Issue Details

IDProjectCategoryView StatusLast Update
0022081LazarusIDEpublic2014-09-24 23:58
ReporterIhor Lavrynyuk Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status newResolutionopen 
Platformi386OSUnix-like 
Product Version1.1 (SVN) 
Summary0022081: Source editor Hint not hided sometimes and block screen
Descriptionif text in source editor selected all - then have block hint ...

http://www.youtube.com/watch?v=tjlHPJDwWAg

http://bugs.freepascal.org/view.php?id=22016
Steps To Reproducequickly press Run your project - and move your mouse cursor to source editor (sample you need hint for element in source editor - variable or same procedure, function)

if text in source editor selected all - then have block hint ...
TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetGTK, GTK 2, Win32/Win64
Attached Files

Relationships

related to 0022016 closedMartin Friebe Source editor Hint not hided sometimes 
has duplicate 0021936 closedJuha Manninen GTK2: Broken Standard Hint - blocks entire app 

Activities

2012-05-19 16:55

 

39.png (225,370 bytes)   
39.png (225,370 bytes)   

2012-05-19 17:02

 

53.png (178,546 bytes)   
53.png (178,546 bytes)   

Ihor Lavrynyuk

2012-05-19 17:03

reporter   ~0059761

Last edited: 2012-05-19 17:18

look 53.png [^]
need select all and move mouse to free space in source editor

and win8.jpg

2012-05-19 17:17

 

win8.jpg (173,316 bytes)   
win8.jpg (173,316 bytes)   

Martin Friebe

2012-05-19 17:52

manager   ~0059763

Please specify, if you have the package TurboPowerIproDsgn installed? (It appears not)

This may be several issues combined.

1) A hint with the entire source is shown.
During debug and if text is selected, the IDE will sent the selection to the debugger, to see if it is a pascal expression that can be evaluated.
This makes no sense for selections over a certain size.

If the unit is big enough, this will temporarily freeze" the IDE. The entire text must be formatted (word break)and that may take a few seconds.


2) The hint window, should be limited. It should never cover as much of the screen as in your case


3) The related issue, which is GTK2 only.
The related issue has no recovery. Your issue did recover, so it may not be the same.


4) Issue 0022016 which means hints will not hide, if the mouse is NOT over an IDE window.
Mouse movement outside of IDE windows (over Desktop or other apps) do not close the hint.
This may also apply to mouse movements over the hint. (Independent of the trunk issues below)


Further more:
If you are on SVN trunk: There is currently work in progress on the hints.
Certain source hints are intentionally kept open, if the mouse is over the hint.




With package TurboPowerIproDsgn hints can contain links that can be selected.
Note that those new features are not stable yet, and can crash the IDE

Martin Friebe

2012-06-01 13:30

manager   ~0060105

Part 1 is fixed in r37470

Part 3 and 4 have there own reports.

This leaves only: The hint should not cover the entire screen.

In order to reproduce that you have to:
- have the debugger active
- select a large enough piece of text, that could be an evaluate-able expression (contains no ";" or ":"). E.g.: "abc + abc + abc + ...." longer, and over more lines than fit the screen.

Issue History

Date Modified Username Field Change
2012-05-19 16:55 Ihor Lavrynyuk New Issue
2012-05-19 16:55 Ihor Lavrynyuk File Added: 39.png
2012-05-19 16:55 Ihor Lavrynyuk Widgetset => GTK, GTK 2, Win32/Win64
2012-05-19 17:02 Ihor Lavrynyuk File Added: 53.png
2012-05-19 17:03 Ihor Lavrynyuk Note Added: 0059761
2012-05-19 17:17 Ihor Lavrynyuk File Added: win8.jpg
2012-05-19 17:18 Ihor Lavrynyuk Note Edited: 0059761
2012-05-19 17:23 Martin Friebe Relationship added has duplicate 0021936
2012-05-19 17:52 Martin Friebe Note Added: 0059763
2012-06-01 13:30 Martin Friebe Note Added: 0060105
2013-09-14 00:12 Martin Friebe LazTarget => -
2013-09-14 00:12 Martin Friebe Severity block => minor
2014-09-24 23:58 Juha Manninen Relationship added related to 0022016